v1.0.0
OpenAPI 3.1.0

Create a folder

US region

Client Libraries

Create a folder

Creates a new folder for organizing file assets. Folder names must be unique within the same parent folder.

Body
required
application/json
  • name
    Type: string
    min length:  
    1
    required

    Display name for the folder. Must be unique among siblings in the same parent folder.

  • parent_folder_id
    Type: integer | null

    The ID of the parent folder. Omit or set to "0" to create at the root level.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/assets/folders
curl https://api.customer.io/v1/assets/folders \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Banners",
  "parent_folder_id": null
}'
{
  "folder": {
    "id": 1,
    "name": "Banners",
    "parent_folder_id": null,
    "created": 1773856017,
    "updated": 1773856017
  }
}